zenilib: SDL_HapticRamp Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
SDL_HapticRamp Struct Reference

A structure containing a template for a Ramp effect. More...

`#include <SDL_haptic.h>`

## Public Attributes

Uint16 | attack_length
Uint16 | attack_level
Uint16 | button
Uint16 | delay
SDL_HapticDirection | direction
Sint16 | end
Uint16 | fade_length
Uint16 | fade_level
Uint16 | interval
Uint32 | length
Sint16 | start
Uint16 | type

## Detailed Description

A structure containing a template for a Ramp effect.

This struct is exclusively for the SDL_HAPTIC_RAMP effect.

The ramp effect starts at start strength and ends at end strength. It augments in linear fashion. If you use attack and fade with a ramp the effects get added to the ramp effect making the effect become quadratic instead of linear.

See Also
  SDL_HAPTIC_RAMP
  SDL_HapticEffect

Definition at line 628 of file SDL_haptic.h.

## Member Data Documentation

Uint16 SDL_HapticRamp::attack_length

Duration of the attack.

Definition at line 647 of file SDL_haptic.h.

Uint16 SDL_HapticRamp::attack_level

Level at the start of the attack.

Definition at line 648 of file SDL_haptic.h.

Uint16 SDL_HapticRamp::button

Button that triggers the effect.

Definition at line 639 of file SDL_haptic.h.

Uint16 SDL_HapticRamp::delay

Delay before starting the effect.

Definition at line 636 of file SDL_haptic.h.

SDL_HapticDirection SDL_HapticRamp::direction

Direction of the effect.

Definition at line 632 of file SDL_haptic.h.

Sint16 SDL_HapticRamp::end

Ending strength level.

Definition at line 644 of file SDL_haptic.h.

Uint16 SDL_HapticRamp::fade_length

Duration of the fade.

Definition at line 649 of file SDL_haptic.h.

Uint16 SDL_HapticRamp::fade_level

Level at the end of the fade.

Definition at line 650 of file SDL_haptic.h.

Uint16 SDL_HapticRamp::interval

How soon it can be triggered again after button.

Definition at line 640 of file SDL_haptic.h.

Uint32 SDL_HapticRamp::length

Duration of the effect.

Definition at line 635 of file SDL_haptic.h.

Sint16 SDL_HapticRamp::start

Beginning strength level.

Definition at line 643 of file SDL_haptic.h.

Uint16 SDL_HapticRamp::type

SDL_HAPTIC_RAMP

Definition at line 631 of file SDL_haptic.h.

The documentation for this struct was generated from the following file:

- zenilib/jni/external/sdl/SDL/SDL_haptic.h